Table of Contents

Class: PerspectiveConnector | Twisted-0.19.0/twisted/spread/sturdy.py
--- | ---
Methods |
--- | ---
__getstate__ __init__ _cbConnected _ebConnected callRemote startConnecting
| __getstate__
    __getstate__ ( self )
| __init__
    __init__ (
            self,
            host,
            port,
            username,
            password,
            serviceName,
            perspectiveName=None,
            client=None,
            )
| _cbConnected
    _cbConnected ( self,  reference )
We've connected. Reset everything and call all pending methods.
| _ebConnected
    _ebConnected ( self,  error )
We haven't connected yet. Try again.
| callRemote
    callRemote (
            self,
            method,
            *args,
            *kw,
            )
| startConnecting
    startConnecting ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:20 2002 by HappyDoc version 2.0